from enum import Enum


class PreregSteps(Enum):
    USERNAME = 'username'
    PASSWORD = 'password'
    CONFIRM_PASSWORD = 'confirm_password'
    FULL_NAME = 'full_name'
    PROFILE_PHOTO = 'profile_photo'


HELLO_MSG = "Привіт, {}. \nЦе бот для реєстрації на нашому сайті:\n {} " \
            "\n\n Етапи \n1. логін (має бути унікальним)\n2. пароль\n3. підтвердити пароль\n" \
            "4. Завантажити фото профілю. Всі поля є обов'язковими." \
            "\n\n Поїхали!\n1. Введи логін (латинськими без пробілів). Ми перевіримо на унікальність " \
            "та дамо тобі знати, якщо його треба замінити: "

FINISHED = 'Ви вже завершили реєстрацію. Приємного користування!'

USERNAME_EXISTS = 'Користувач з таким логіном вже існує.\nВведіть інший логін:'

LOGIN_ACCEPTED = 'Логін прийнято!\n 2. Тепер придумай пароль:'

TOO_SHORT = 'Занадто короткий пароль. Спробуй ще раз (мінімум 6 символів):'

PASSWORD_ACCEPTED = 'Пароль прийнято.\n 3. Підверди пароль:'

UNMATCHED = 'Паролі не співпадають. Придумайте новий пароль, а потім введіть' \
            ' його ще раз для підтвердження (зараз крок №2):'

FULL_NAME = 'Пароль прийнято!\n\n3. Введіть Ваше повне ім\'я:'

PROFILE_PHOTO = 'Ім\'я записано.\n4. Завантаж своє фото (буде відображено у твоєму профілі):'

END = 'Реєстрацію завершено.\nПерейдіть на наш сайт, щоб зайти у профіль:\n{}'

